---
- name: Run auditwheel repair on wheels  # noqa no-changed-when
  ansible.builtin.command:
    cmd: "auditwheel repair -w {{ wheels_dir }} {{ item }}"
    chdir: "{{ wheels_dir }}"
  with_fileglob:
    - "{{ wheels_dir }}/tensorflow*.whl"
    - "{{ wheels_dir }}/h5py-3.2*.whl"

- name: Drop non-manylinux wheels
  ansible.builtin.file:
    path: "{{ item }}"
    state: absent
  with_fileglob:
    - "{{ wheels_dir }}/tensorflow*linux_aarch64.whl"
    - "{{ wheels_dir }}/h5py-3.2*linux_aarch64.whl"
